Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.config.swing
Class Msg

    java.lang.Object
      org.crosswire.common.util.MsgBase
          org.crosswire.common.config.swing.Msg

    public final class Msg

extends MsgBase

Compile safe Msg resource settings.

Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`

Field Summary
`(package private) static Msg` | `BASIC`
`(package private) static Msg` | `COMPONENT_EDITOR`
`(package private) static Msg` | `CONFIG_SAVE_FAILED`
`(package private) static Msg` | `EDIT`
`(package private) static Msg` | `EDIT_CLASS`
`(package private) static Msg` | `ERROR`
`(package private) static Msg` | `NAME`
`(package private) static Msg` | `NEW_CLASS`
`(package private) static Msg` | `NO_OPTIONS`
`(package private) static Msg` | `PATH_EDITOR`
`(package private) static Msg` | `PROPERTIES`
`(package private) static Msg` | `PROPERTIES_POSN`
`(package private) static Msg` | `SELECT_FONT`
`(package private) static Msg` | `SELECT_SUBNODE`

Constructor Summary
`private` | `Msg(String name)` Passthrough ctor

Method Summary

Methods inherited from class org.crosswire.common.util.MsgBase
`loadResources, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EDIT

    static final Msg EDIT

### CONFIG_SAVE_FAILED

    static final Msg CONFIG_SAVE_FAILED

### SELECT_FONT

    static final Msg SELECT_FONT

### NAME

    static final Msg NAME

### COMPONENT_EDITOR

    static final Msg COMPONENT_EDITOR

### EDIT_CLASS

    static final Msg EDIT_CLASS

### ERROR

    static final Msg ERROR

### NO_OPTIONS

    static final Msg NO_OPTIONS

### PATH_EDITOR

    static final Msg PATH_EDITOR

### NEW_CLASS

    static final Msg NEW_CLASS

### BASIC

    static final Msg BASIC

### SELECT_SUBNODE

    static final Msg SELECT_SUBNODE

### PROPERTIES

    static final Msg PROPERTIES

### PROPERTIES_POSN

    static final Msg PROPERTIES_POSN

Constructor Detail

### Msg

    private Msg(String name)

  Passthrough ctor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD